Subject: bug#46238: 27.1; recenter-top-bottom in fullscreen

From: Eli Zaretskii <[email-masked]>
Date: Tue, 02 Feb 2021 17:20:19 +0200

> From: martin rudalics <[email-masked]>
> Date: Tue, 2 Feb 2021 09:42:28 +0100
> 
> Reading it for the first time, 'recenter-top-bottom' has an incredibly
> misleading doc-string: For me "Move current buffer line to the specified
> window line" means to (1) remove the buffer line at point from its
> buffer and (2) reinsert it at the window line specified by ARG but I
> doubt that that's the intended behavior.  Maybe someone more
> knowledgeable could make it more reasonable, maybe stealing text like
> "positions the current line at the top of the window" from 'recenter'.

Is the below better?

  "Scroll the window so that current line is at the middle of the window.
Successive invocations scroll the window in a cyclical order to put
the current line at certain places within the window, as determined by
`recenter-positions'.  By default, the second invocation puts the
current line at the top-most window line, the third invocation puts it
on the bottom-most window line, and then the order is reused.

With numeric prefix ARG, move current line ARG lines below the window top.
With plain `C-u', move current line to window center."